### Changelog

All notable changes to this project will be documented in this file. Dates are displayed in UTC.

Generated by [`auto-changelog`](https://github.com/CookPete/auto-changelog).

#### [v1.7.2](https://github.com/OpenZWave/node-openzwave-shared/compare/v1.7.1...v1.7.2)

> 3 November 2020

- fix: typo in utils.cc ManuacturerSpecificDBReady [`#391`](https://github.com/OpenZWave/node-openzwave-shared/pull/391)
- fix: typescript types [`#384`](https://github.com/OpenZWave/node-openzwave-shared/pull/384)
- docs: typo in url [`#382`](https://github.com/OpenZWave/node-openzwave-shared/pull/382)
- feat: github actions for ci [`#381`](https://github.com/OpenZWave/node-openzwave-shared/pull/381)

#### [v1.7.1](https://github.com/OpenZWave/node-openzwave-shared/compare/v1.7.0...v1.7.1)

> 9 June 2020

- fix: compile errors [`b3c4ea9`](https://github.com/OpenZWave/node-openzwave-shared/commit/b3c4ea9ed88cbfc05c2b822bab75769dfb0e6a20)
- fix: use OZWManagerAssign to handle exceptions [`89b9872`](https://github.com/OpenZWave/node-openzwave-shared/commit/89b9872e014b71d0c83f1c61dd6d741a3f86a82f)
- Release 1.7.1 [`d87b204`](https://github.com/OpenZWave/node-openzwave-shared/commit/d87b20487b6ec774a02731aab5760f84d6a34891)

#### [v1.7.0](https://github.com/OpenZWave/node-openzwave-shared/compare/v1.6.2...v1.7.0)

> 15 May 2020

- fix: update typescript annotations [`#376`](https://github.com/OpenZWave/node-openzwave-shared/pull/376)
- fix: linting of types declaration file [`#367`](https://github.com/OpenZWave/node-openzwave-shared/pull/367)
- fix: misspelling in OpenZWave options [`#369`](https://github.com/OpenZWave/node-openzwave-shared/pull/369)
- feat: expose GetNodeClassInformation [`#374`](https://github.com/OpenZWave/node-openzwave-shared/pull/374)
- Add support for building on Android [`#372`](https://github.com/OpenZWave/node-openzwave-shared/pull/372)
- pull from node-openzwave-shared master [`#1`](https://github.com/OpenZWave/node-openzwave-shared/pull/1)
- test appveyor CI with Node 10 [`#373`](https://github.com/OpenZWave/node-openzwave-shared/pull/373)
- Release 1.7.0 [`3e0ce8a`](https://github.com/OpenZWave/node-openzwave-shared/commit/3e0ce8aef645aa2fcc257380be6a1687b573d980)
- fix: test3.js [`66c461b`](https://github.com/OpenZWave/node-openzwave-shared/commit/66c461b0f6f29a584d741a5e58f80e03cd5fc8d1)

#### [v1.6.2](https://github.com/OpenZWave/node-openzwave-shared/compare/v1.6.1...v1.6.2)

> 3 March 2020

- fix: Empty config and user path when calling updateOptions [`d867ec6`](https://github.com/OpenZWave/node-openzwave-shared/commit/d867ec608ad130b219f7006ba6b3a1838217211c)
- Revert "BREAKING CHANGE: List valueId values array becomes an Object value: valueString" [`e9c9ab4`](https://github.com/OpenZWave/node-openzwave-shared/commit/e9c9ab47a13423f59749840f477053a8fe1490d3)
- BREAKING CHANGE: List valueId values array becomes an Object value: valueString [`60272ab`](https://github.com/OpenZWave/node-openzwave-shared/commit/60272ab90bc829965160b5d0722ee8a126a5ce4f)
- Release 1.6.2 [`1161317`](https://github.com/OpenZWave/node-openzwave-shared/commit/1161317320b9534654b1115bf9a50f37de3d127f)
- Add ozwcache to ignored files [`f44e2e4`](https://github.com/OpenZWave/node-openzwave-shared/commit/f44e2e4a2ac5c5b343177e22638cd064b1473f43)

#### [v1.6.1](https://github.com/OpenZWave/node-openzwave-shared/compare/v1.6.0...v1.6.1)

> 12 February 2020

- Add support for building on FreeBSD [`#366`](https://github.com/OpenZWave/node-openzwave-shared/pull/366)
- Release 1.6.1 [`db3e197`](https://github.com/OpenZWave/node-openzwave-shared/commit/db3e197e6b999d98b04e4e232f7ad5aa9075df64)

#### [v1.6.0](https://github.com/OpenZWave/node-openzwave-shared/compare/v1.5.12...v1.6.0)

> 11 February 2020

- Changes to make the windows build compatible with Node 12. [`#364`](https://github.com/OpenZWave/node-openzwave-shared/pull/364)
- Release 1.6.0 [`460f0a8`](https://github.com/OpenZWave/node-openzwave-shared/commit/460f0a8e467278b38d4baed5c3b86c69611d5f1b)
- docs: Updated events [`58c4d9b`](https://github.com/OpenZWave/node-openzwave-shared/commit/58c4d9bc6bf17953da2635050887a742c3e70b8b)
- Change because node 0.12 doesn't support string interpolation. [`1df30cf`](https://github.com/OpenZWave/node-openzwave-shared/commit/1df30cf347c1f4e64d5542a6b9026cbf1a9d651f)
- Fix to be compatible with old old node. [`c4885f7`](https://github.com/OpenZWave/node-openzwave-shared/commit/c4885f73b69652bd0a0033f7038181e0ec780d98)

#### [v1.5.12](https://github.com/OpenZWave/node-openzwave-shared/compare/v1.5.11...v1.5.12)

> 16 January 2020

- fix: Fixed 'connected' callback with ozw version [`fae401c`](https://github.com/OpenZWave/node-openzwave-shared/commit/fae401cea1e940c836ae971868849bca5476cd6d)
- feat: Added getOzwVersion method [`80f9dbf`](https://github.com/OpenZWave/node-openzwave-shared/commit/80f9dbfadb6d786b7549b08c120a038b3e53ad3d)
- Release 1.5.12 [`1e4a78a`](https://github.com/OpenZWave/node-openzwave-shared/commit/1e4a78a31ffcb0607ea757fc4576d97c8b7e5c48)

#### [v1.5.11](https://github.com/OpenZWave/node-openzwave-shared/compare/v1.5.10...v1.5.11)

> 16 January 2020

- Fix build issue #356 [`#359`](https://github.com/OpenZWave/node-openzwave-shared/pull/359)
- Bugfix/issue#183 disconnect deadlock [`#329`](https://github.com/OpenZWave/node-openzwave-shared/pull/329)
- Adding missing typing for removeFailedNode [`#357`](https://github.com/OpenZWave/node-openzwave-shared/pull/357)
- Release 1.5.11 [`4a09346`](https://github.com/OpenZWave/node-openzwave-shared/commit/4a09346640bed0c450c38227733528241381144d)
- Adding missing typeing for removeFailedNode [`9635576`](https://github.com/OpenZWave/node-openzwave-shared/commit/9635576107e4ac2b19cf2f32c392c3aa87fa2d17)
- fix build [`52f7792`](https://github.com/OpenZWave/node-openzwave-shared/commit/52f7792c7de7d6fd74fc5d56aa97a1e1b6e50d29)

#### [v1.5.10](https://github.com/OpenZWave/node-openzwave-shared/compare/v1.5.9...v1.5.10)

> 5 November 2019

- Issue:291 add device metadata [`#336`](https://github.com/OpenZWave/node-openzwave-shared/pull/336)
- Update openzwave-shared.d.ts [`#354`](https://github.com/OpenZWave/node-openzwave-shared/pull/354)
- Release 1.5.10 [`a5fe49f`](https://github.com/OpenZWave/node-openzwave-shared/commit/a5fe49fd25b640aae0af1a97c92d9a53cdee03b2)

#### [v1.5.9](https://github.com/OpenZWave/node-openzwave-shared/compare/v1.5.8...v1.5.9)

> 29 October 2019

- [fix] Openzwave 16 deprecated errors #355 [`de923b5`](https://github.com/OpenZWave/node-openzwave-shared/commit/de923b5433ae3bd2cf127efd06a22f9cea7f5b84)
- Release 1.5.9 [`a009e63`](https://github.com/OpenZWave/node-openzwave-shared/commit/a009e632bbb5cc8552075e8cb3b828cf4c5fce5e)
- [fix] Enable writeConfig function for openzwave version < 16 [`5686303`](https://github.com/OpenZWave/node-openzwave-shared/commit/5686303d9b25f534860217c54631aa3ed2dc1dab)
- Update openzwave-shared.d.ts [`a4aecf0`](https://github.com/OpenZWave/node-openzwave-shared/commit/a4aecf089aca3f6b6c1d6cca958e831aac326f98)
- [fix] getValueIdDescriptor OZWValueIdIndex type [`7eaa12a`](https://github.com/OpenZWave/node-openzwave-shared/commit/7eaa12ab0019bf4b7ffbece6ed5a7891f5059be8)

#### [v1.5.8](https://github.com/OpenZWave/node-openzwave-shared/compare/v1.5.7...v1.5.8)

> 12 October 2019

- Updated typings: added new options in IConstructorParameters [`#335`](https://github.com/OpenZWave/node-openzwave-shared/pull/335)
- GetAssociationsInstances [`#349`](https://github.com/OpenZWave/node-openzwave-shared/pull/349)
- Release 1.5.8 [`09a1d05`](https://github.com/OpenZWave/node-openzwave-shared/commit/09a1d05550f3688a6c59ee4fddfc7918a4dc413e)

#### [v1.5.7](https://github.com/OpenZWave/node-openzwave-shared/compare/1.5.6...v1.5.7)

> 2 October 2019

- BitSet support and fix scene event for ozw <1.6 [`#345`](https://github.com/OpenZWave/node-openzwave-shared/pull/345)
- Updated typings [`#334`](https://github.com/OpenZWave/node-openzwave-shared/pull/334)
- Use OZWManagerAssign to obtain ValueLabel and ValueHelp [`#333`](https://github.com/OpenZWave/node-openzwave-shared/pull/333)
- Added the updateOptions method to the typings [`#330`](https://github.com/OpenZWave/node-openzwave-shared/pull/330)
- [feat] Bitset fetch value id labels [`4fc4664`](https://github.com/OpenZWave/node-openzwave-shared/commit/4fc466435f56670be46b66145a188cf3e299e3f8)
- Release 1.5.7 [`84b6385`](https://github.com/OpenZWave/node-openzwave-shared/commit/84b6385daaf48617d732a9b9911c69b1b45b53e9)
- enabled getMetaData/getChangeLog [`69966ea`](https://github.com/OpenZWave/node-openzwave-shared/commit/69966ea7e0ecaf56356f371316d8045276af890d)
- Updated to typingfile, added missing methods (added in version 1.6) [`e18c19f`](https://github.com/OpenZWave/node-openzwave-shared/commit/e18c19fd8607d74e47c57ff579f150b3a58dffb7)
- getAssociationsInstances [`8a7ac32`](https://github.com/OpenZWave/node-openzwave-shared/commit/8a7ac326465a499600c3837253bc516d196f5cb3)
- Added new options in IConstructorParameters [`7d36b08`](https://github.com/OpenZWave/node-openzwave-shared/commit/7d36b08c19f47ed066d93a7f5befda2d586f5bbb)
- [chore] Release/changelog script [`7468e06`](https://github.com/OpenZWave/node-openzwave-shared/commit/7468e06f4da289d28857577ee1106c94bc68dcdc)
- [fix] Make scene management back working for ozw < 1.6 [`86c61e0`](https://github.com/OpenZWave/node-openzwave-shared/commit/86c61e0224629e4fbc125d06afc6f7f146bd0202)
- [fix] Compilation errors [`0183340`](https://github.com/OpenZWave/node-openzwave-shared/commit/0183340af6b9ee49407f785d23c434325d4d5f0a)
- [fix] Position index [`f25d453`](https://github.com/OpenZWave/node-openzwave-shared/commit/f25d453b111e750be0f9fd0abb2923fe80a81298)
- [fix] Bitset values parsing [`b767231`](https://github.com/OpenZWave/node-openzwave-shared/commit/b7672311b574cf2ffadba672960652fc2c918752)
- [fix] Declaration error [`92fdf36`](https://github.com/OpenZWave/node-openzwave-shared/commit/92fdf36a599cb5f3340628a084f09b046a0790c4)
- added missing nodeId to getNumGroups , added instance to value removed [`736f636`](https://github.com/OpenZWave/node-openzwave-shared/commit/736f636f5784bfd056f6d29d05ba1fc97b2493b2)
- Added new command param [`75fcc17`](https://github.com/OpenZWave/node-openzwave-shared/commit/75fcc170b8d6cf0453ed118d84e6cd209a2e8a2a)
- [fix] Replaced ifdef with if for preprocessor [`c46722f`](https://github.com/OpenZWave/node-openzwave-shared/commit/c46722ff8fcbfdc656c3be89bf6c69167b336d97)
- Bump version [`cc626a8`](https://github.com/OpenZWave/node-openzwave-shared/commit/cc626a8cd99abec995901b48c988f9e2591f560c)
- Merge with master [`066a25c`](https://github.com/OpenZWave/node-openzwave-shared/commit/066a25cfe402a985af2e475e7775639930223078)
- GetMetaData in correct compiler directive [`59e7695`](https://github.com/OpenZWave/node-openzwave-shared/commit/59e7695eddd93554fe61c0ee8b07dc5171998e16)
- [fix] Typo [`5a31f31`](https://github.com/OpenZWave/node-openzwave-shared/commit/5a31f31296b22371f026240814994114c52ec974)

#### [1.5.6](https://github.com/OpenZWave/node-openzwave-shared/compare/1.5.5...1.5.6)

> 14 July 2019

- [fix] Broken build from version 1.5.3 to 1.5.5 [`#327`](https://github.com/OpenZWave/node-openzwave-shared/pull/327)
- release 1.5.6 [`7558a30`](https://github.com/OpenZWave/node-openzwave-shared/commit/7558a309879169ea8787405c82028ccd6e1aba26)

#### [1.5.5](https://github.com/OpenZWave/node-openzwave-shared/compare/1.5.4...1.5.5)

> 7 July 2019

- align naming of isMultiInstance [`#326`](https://github.com/OpenZWave/node-openzwave-shared/pull/326)
- version 1.5.5 [`a6d1090`](https://github.com/OpenZWave/node-openzwave-shared/commit/a6d109020ff196b15439533f8c0f62f8ae897e27)

#### [1.5.4](https://github.com/OpenZWave/node-openzwave-shared/compare/1.5.3...1.5.4)

> 7 July 2019

- add missing path delimiter [`#323`](https://github.com/OpenZWave/node-openzwave-shared/pull/323)
- align naming of isMultiInstance [`59a1589`](https://github.com/OpenZWave/node-openzwave-shared/commit/59a15891d013c595a086e7e279418ed2f2a801fa)

#### [1.5.3](https://github.com/OpenZWave/node-openzwave-shared/compare/1.5.2...1.5.3)

> 30 June 2019

- Revert breaking change value type list, #316 [`#317`](https://github.com/OpenZWave/node-openzwave-shared/pull/317)
- Small fixes so we can build again on SmartOS [`#314`](https://github.com/OpenZWave/node-openzwave-shared/pull/314)
- release 1.5.3 [`21e53d1`](https://github.com/OpenZWave/node-openzwave-shared/commit/21e53d1cc78407c940fb66009ec40ba5d80a639f)
- Merge pull request #318 from OpenZWave/bugfix/fix-fragile-build [`9b7ce34`](https://github.com/OpenZWave/node-openzwave-shared/commit/9b7ce3484dd31a6f439c0255f0ccb9169b59706e)
- use plain grep to look for symbols, add std=c++11 flag to the compiler [`46739fb`](https://github.com/OpenZWave/node-openzwave-shared/commit/46739fbeb6d21ddc2e351f836b2ce5d0730654f9)
- Fix binding.gyp for SmartOS [`b7e0c6b`](https://github.com/OpenZWave/node-openzwave-shared/commit/b7e0c6b09bdfa11ff6cc9f3c4be5ab807010bd11)
- Fix SmartOS compilation [`f431b9b`](https://github.com/OpenZWave/node-openzwave-shared/commit/f431b9b003917e0e38cd75769f459503bfbd3b0f)

#### [1.5.2](https://github.com/OpenZWave/node-openzwave-shared/compare/1.5.1...1.5.2)

> 27 June 2019

- use xcode flag for c++ exceptions on MacOS [`#312`](https://github.com/OpenZWave/node-openzwave-shared/pull/312)
- fix build issue on Mac [`#310`](https://github.com/OpenZWave/node-openzwave-shared/pull/310)
- [1.6 Update - Associations] ozw.isGroupMultiInstance(nodeid, groupid) [`#307`](https://github.com/OpenZWave/node-openzwave-shared/pull/307)
- Feature/294 send raw data [`#306`](https://github.com/OpenZWave/node-openzwave-shared/pull/306)
- implement SendRawData [`21a377b`](https://github.com/OpenZWave/node-openzwave-shared/commit/21a377b1061bd36ce57579130624a94996d58c68)
- update travis to use clang [`46352d2`](https://github.com/OpenZWave/node-openzwave-shared/commit/46352d28f756619d9b9c01c9a4330dc38beb7a23)
- update travis to use clang [`f6307d9`](https://github.com/OpenZWave/node-openzwave-shared/commit/f6307d9570253ed4202002845a91d56a7e527115)
- release 1.5.2 [`27d6406`](https://github.com/OpenZWave/node-openzwave-shared/commit/27d6406459cbd21e683a1e7914cb4341dba89f57)

#### [1.5.1](https://github.com/OpenZWave/node-openzwave-shared/compare/1.5.0...1.5.1)

> 16 June 2019

- Vibr77 master [`#304`](https://github.com/OpenZWave/node-openzwave-shared/pull/304)
- Feature/295 new notification types [`#305`](https://github.com/OpenZWave/node-openzwave-shared/pull/305)
- fix all deprecated v8 calls for node12 compatibility [`#302`](https://github.com/OpenZWave/node-openzwave-shared/pull/302)
- fix merge conflict [`30185be`](https://github.com/OpenZWave/node-openzwave-shared/commit/30185be56b78fbe17136ea324109c66a672d0612)
- implement new notification types; change ValueID index type [`9016928`](https://github.com/OpenZWave/node-openzwave-shared/commit/9016928b126401488c3d0720f464b31003f296d4)
- release 1.5.1 [`0644c73`](https://github.com/OpenZWave/node-openzwave-shared/commit/0644c73db2618217213c3a3bfadcf96a7c58671b)
- fix merge conflict [`4a93bd5`](https://github.com/OpenZWave/node-openzwave-shared/commit/4a93bd5f32f2041a6ba2d91a414889db40f4fff6)
- fix value type and genre mapping to string [`b0dada4`](https://github.com/OpenZWave/node-openzwave-shared/commit/b0dada421a36ffa5530474dc4dbb8a8a26e636f6)
- use snprintf to guard against overflows in exception messages [`88c1e28`](https://github.com/OpenZWave/node-openzwave-shared/commit/88c1e28ba77b2ed9ac26b4a4ea5438c2633db64d)
- exclude vscode files from npm packaging [`a99d9b9`](https://github.com/OpenZWave/node-openzwave-shared/commit/a99d9b9f40caf5800d82dc958613085d549dda5e)

#### [1.5.0](https://github.com/OpenZWave/node-openzwave-shared/compare/1.4.8...1.5.0)

> 3 June 2019

- add preprocessor wrappers for OZW exceptions [`#300`](https://github.com/OpenZWave/node-openzwave-shared/pull/300)
- check for existence of an options object [`#256`](https://github.com/OpenZWave/node-openzwave-shared/pull/256)
- Added UpdateOptions api to update OpenZWave options [`#277`](https://github.com/OpenZWave/node-openzwave-shared/pull/277)
- Better typescript integration [`#263`](https://github.com/OpenZWave/node-openzwave-shared/pull/263)
- Updated Raspbian Readme to fix bug when installing on Raspbian stretch [`#271`](https://github.com/OpenZWave/node-openzwave-shared/pull/271)
- fix conflicts [`11ac39b`](https://github.com/OpenZWave/node-openzwave-shared/commit/11ac39bad20ae17b63a1453ca91c51d17e013d43)
- fix conflicts [`7f61ef6`](https://github.com/OpenZWave/node-openzwave-shared/commit/7f61ef6cd31d5e2f7659e297234d11f860adf300)
- Replaced std::string with ::std::string and fixed indentation [`20f0997`](https://github.com/OpenZWave/node-openzwave-shared/commit/20f0997df20ba69146fb7ffbbd2203d64a966cba)
- prepare for release [`ee80492`](https://github.com/OpenZWave/node-openzwave-shared/commit/ee80492f6804a1eaddbbe553cbd3430de8dd4ee4)
- add winsock lib [`819753e`](https://github.com/OpenZWave/node-openzwave-shared/commit/819753e37b15bb022147878adae369c620f46c0d)
- remove action block breaking windows build [`a1b511d`](https://github.com/OpenZWave/node-openzwave-shared/commit/a1b511d9695d0dc06c0a7586aa1c8b285e549254)
- Strange indentation goes wrong when commit [`4456667`](https://github.com/OpenZWave/node-openzwave-shared/commit/4456667e3f4c6b76252947b9b6cf38aa9b4101c7)
- add win dns lib [`469c38e`](https://github.com/OpenZWave/node-openzwave-shared/commit/469c38e94acff1b020b1152472914cad31a3219c)
- add winsock lib [`5695b68`](https://github.com/OpenZWave/node-openzwave-shared/commit/5695b68a5797e4efef3c82d40927f4e833baa135)
- extend Travis for Node 11 and 12 [`dfd5d51`](https://github.com/OpenZWave/node-openzwave-shared/commit/dfd5d51ed054a6b9c4be425ac0467aff7f0c3ab7)
- Added comment to trigger new test [`555983b`](https://github.com/OpenZWave/node-openzwave-shared/commit/555983b3c31c42b9ae45c0b5f9f626d2b50cb6c5)
- Changed interval in test [`58eb37e`](https://github.com/OpenZWave/node-openzwave-shared/commit/58eb37ee027199b8e323680e697b0f35be44d280)
- Fixed var ::std::ostringstream [`7987eeb`](https://github.com/OpenZWave/node-openzwave-shared/commit/7987eeb372ada1e720dcb7cdf353e417baa82039)

#### [1.4.8](https://github.com/OpenZWave/node-openzwave-shared/compare/1.4.7...1.4.8)

> 10 March 2019

- Make node-openzwave-shared build on SmartOS [`#272`](https://github.com/OpenZWave/node-openzwave-shared/pull/272)
- Fix namespace errors of missing string, list, ... in OZW::std [`ffe5e45`](https://github.com/OpenZWave/node-openzwave-shared/commit/ffe5e45a721ea8f202a7e22a5e7833537c5f6a9b)
- Update gyp binding to build on SmartOS [`d7e38e5`](https://github.com/OpenZWave/node-openzwave-shared/commit/d7e38e56f6953a238aa71a917a5a109962522a8a)
- better typing for setChangeVerified() by @lukescott [`408650e`](https://github.com/OpenZWave/node-openzwave-shared/commit/408650eab97432f491b9a07f47f2736aaabac18a)
- version 1.4.8 [`076e324`](https://github.com/OpenZWave/node-openzwave-shared/commit/076e324c5e6c7ff5c02b4b90aa19f91c6cb910ce)
- Updated Readme to fix bug when installing on Raspbian stretch [`ceecf2c`](https://github.com/OpenZWave/node-openzwave-shared/commit/ceecf2c47d93e15a64da2256f7000c9ad3cb5654)
- fixed type [`3545372`](https://github.com/OpenZWave/node-openzwave-shared/commit/3545372aec79a4433d0f1abb7ee421125ec0252c)
- Fixed typo [`2697ebd`](https://github.com/OpenZWave/node-openzwave-shared/commit/2697ebd7b521940bf2ec3c18eb60c5b694aed4fc)

#### [1.4.7](https://github.com/OpenZWave/node-openzwave-shared/compare/1.4.6...1.4.7)

> 26 January 2019

- Fix scene values type 'list' (Partially fix #266) [`#267`](https://github.com/OpenZWave/node-openzwave-shared/pull/267)
- added instanceids to add and remove association [`#262`](https://github.com/OpenZWave/node-openzwave-shared/pull/262)
- Fix scene APIs [`#264`](https://github.com/OpenZWave/node-openzwave-shared/pull/264)
- Merge pull request #267 from robertsLando/master [`#266`](https://github.com/OpenZWave/node-openzwave-shared/issues/266)
- Fix scene values type 'list' (Partially fix #266) [`#266`](https://github.com/OpenZWave/node-openzwave-shared/issues/266)
- added enums compiled from ts [`f1171d6`](https://github.com/OpenZWave/node-openzwave-shared/commit/f1171d6f74dc69ea5c8982ec41ceb76214321b4f)
- added types to package.json [`44de998`](https://github.com/OpenZWave/node-openzwave-shared/commit/44de9983a53d43b3723852d82d308d2f4ac274a5)
- Added object.assign polyfill for node v0.12 [`55a9b9f`](https://github.com/OpenZWave/node-openzwave-shared/commit/55a9b9f61ddf6b7395ce1ea9d91164811577fa27)
- release 1.4.7 [`9b249a4`](https://github.com/OpenZWave/node-openzwave-shared/commit/9b249a4839d6ff3bdf48ce1c86dafbda8e9b3fbb)
- removed noinspection comments from author [`8f5d830`](https://github.com/OpenZWave/node-openzwave-shared/commit/8f5d830391d9f295640efb0e25c9fd34f8a2f2cf)
- amend docs on node name/location, #255 [`01f49f4`](https://github.com/OpenZWave/node-openzwave-shared/commit/01f49f4da5e5b350373adc8821cf2774c27e6b16)

#### [1.4.6](https://github.com/OpenZWave/node-openzwave-shared/compare/1.4.5...1.4.6)

> 11 August 2018

- Bugfix/issue#233 fix various deprecated API calls [`#234`](https://github.com/OpenZWave/node-openzwave-shared/pull/234)
- Update all emitted callbacks to use AsyncResource [`3b4dbae`](https://github.com/OpenZWave/node-openzwave-shared/commit/3b4dbaebd285e959eccc20d1f58731befa158800)
- check for existence of an options object [`41ebb0d`](https://github.com/OpenZWave/node-openzwave-shared/commit/41ebb0d6a9b0b6d847da966d80026b300c17df67)
- release 1.46 [`0611f79`](https://github.com/OpenZWave/node-openzwave-shared/commit/0611f796100dbd137e846d33b4b07ce053868de3)

#### [1.4.5](https://github.com/OpenZWave/node-openzwave-shared/compare/1.4.4...1.4.5)

> 25 June 2018

- remove deprecated ToNumber() in favor of Uint32Value [`d6de32e`](https://github.com/OpenZWave/node-openzwave-shared/commit/d6de32e3acd9c68b3a19485a7b9d78a1587f3692)
- remove deprecated Utf8Value() in favor of Nan::Utf8String [`5be72ae`](https://github.com/OpenZWave/node-openzwave-shared/commit/5be72ae85464ecca78dce9e6b65ee95537916569)
- version 1.4.5 [`41ac266`](https://github.com/OpenZWave/node-openzwave-shared/commit/41ac266cacf92c649c11bbb70b59a82c390cdddc)

#### [1.4.4](https://github.com/OpenZWave/node-openzwave-shared/compare/1.4.3...1.4.4)

> 10 June 2018

- Add LogInitialisation boolean option [`#232`](https://github.com/OpenZWave/node-openzwave-shared/pull/232)
- version 1.4.4 [`01c0e29`](https://github.com/OpenZWave/node-openzwave-shared/commit/01c0e2951de820b6c2a3c3cc9450cc9331b33a64)
- fix compiler warnings [`55e2310`](https://github.com/OpenZWave/node-openzwave-shared/commit/55e2310cd2b8d3ee77bbacac8ded3602d3e63175)
- amend CI buttons [`12edc98`](https://github.com/OpenZWave/node-openzwave-shared/commit/12edc98974ae31f77a49a408736adfbbf949c8f9)

#### [1.4.3](https://github.com/OpenZWave/node-openzwave-shared/compare/1.4.2...1.4.3)

> 1 May 2018

- Bugfix/issue#222 inclusion paths [`#230`](https://github.com/OpenZWave/node-openzwave-shared/pull/230)
- add appveyor ci [`9e5dcfb`](https://github.com/OpenZWave/node-openzwave-shared/commit/9e5dcfb582a97caf255a6b7556d45fcf1e6c4d2f)
- remove openzwave path prefix from include stanzas [`9cd52b8`](https://github.com/OpenZWave/node-openzwave-shared/commit/9cd52b8f35f6cac6d5475b114124dc928a9dd8cf)
- version 1.4.3 [`23f4d7b`](https://github.com/OpenZWave/node-openzwave-shared/commit/23f4d7bb10ef7496ed4ca17187ec36bad32828d5)

#### [1.4.2](https://github.com/OpenZWave/node-openzwave-shared/compare/1.4.1...1.4.2)

> 1 May 2018

- Bugfix/issue#227 node v10 build fix [`#229`](https://github.com/OpenZWave/node-openzwave-shared/pull/229)
- version 1.4.2 [`d8f2374`](https://github.com/OpenZWave/node-openzwave-shared/commit/d8f237461597c14332c9bca50880f704079028c0)
- Bump nan version to 2.10.0 which is v10 compatible [`832f798`](https://github.com/OpenZWave/node-openzwave-shared/commit/832f7983c6a27d9bb663c32356e0519d1935fe8e)
- Fix no matching function call compile error for node v10 [`9080a1b`](https://github.com/OpenZWave/node-openzwave-shared/commit/9080a1b7029eca1049a4f7c77183c3aae2e42fed)

#### [1.4.1](https://github.com/OpenZWave/node-openzwave-shared/compare/1.4.0...1.4.1)

> 27 February 2018

- issue#193: press/release button based on boolean value passed in as arg [`#206`](https://github.com/OpenZWave/node-openzwave-shared/pull/206)
- Fixing a common coexistence issue. Look for the newest node referece first. [`#189`](https://github.com/OpenZWave/node-openzwave-shared/pull/189)
- Feature/types [`#201`](https://github.com/OpenZWave/node-openzwave-shared/pull/201)
- Fix in EnablePoll method, it instead of getting a value from index 1,… [`#202`](https://github.com/OpenZWave/node-openzwave-shared/pull/202)
- Allow ConfigPath to be configured like UserPath [`#185`](https://github.com/OpenZWave/node-openzwave-shared/pull/185)
- Fix path detection for partial failures [`#184`](https://github.com/OpenZWave/node-openzwave-shared/pull/184)
- Make sure only one instance is started [`#178`](https://github.com/OpenZWave/node-openzwave-shared/pull/178)
- Inherit all EventEmitter's functions [`#180`](https://github.com/OpenZWave/node-openzwave-shared/pull/180)
- Fix deprecations to remove the compile warnings [`#181`](https://github.com/OpenZWave/node-openzwave-shared/pull/181)
- Feature/refactor polling [`#174`](https://github.com/OpenZWave/node-openzwave-shared/pull/174)
- Added type definitions, so that IDEs like WebStorm would provide code completion features on "openzwave-shared" module. [`c705ba3`](https://github.com/OpenZWave/node-openzwave-shared/commit/c705ba3a46a68fa48dd3adc6442d2e7a05064eb9)
- Remove depreciation warnings [`1ba37b1`](https://github.com/OpenZWave/node-openzwave-shared/commit/1ba37b12137d6adda7f1aced1fe84f212b62c5f6)
- use swap() with a temporary queue to avoid deadlocks with the main notifications queue [`1a1c033`](https://github.com/OpenZWave/node-openzwave-shared/commit/1a1c0331f7d8069ad67f6ce68cac77c3e5cd6662)
- consume notifications queue in one go, then unlock to let handlers invoke more notifications [`d3c8451`](https://github.com/OpenZWave/node-openzwave-shared/commit/d3c8451f3bd453d85595d97965e5ab7a8f92fd2a)
- issue #209: add setValueLabel [`dc423dd`](https://github.com/OpenZWave/node-openzwave-shared/commit/dc423ddc120c3ece273d46bbff303c0c61afe6a6)
- amend docs [`f325835`](https://github.com/OpenZWave/node-openzwave-shared/commit/f3258359b169e59544a02a5534e9fcb5e47a0fa7)
- Remove warnings about spelling of header filename [`eea3c26`](https://github.com/OpenZWave/node-openzwave-shared/commit/eea3c26e3b784a6c179d43f7629155ae1916d30d)
- issue #205: clarify on eventIds [`bd39193`](https://github.com/OpenZWave/node-openzwave-shared/commit/bd391932dc26bce483139311237fa8c5a4c226e8)
- amend README [`b27f5f0`](https://github.com/OpenZWave/node-openzwave-shared/commit/b27f5f09b7c81994bf47245a9b71fe9d648f27ad)
- Fix in EnablePoll method, it instead of getting a value from index 1, used "1" as an actual value of intensity. [`cdeaf5d`](https://github.com/OpenZWave/node-openzwave-shared/commit/cdeaf5d15310bb7722e0ef62922dba5fe96958ad)
- Removed mentinoning of non-existant openzwave-controller.cc [`ae2d235`](https://github.com/OpenZWave/node-openzwave-shared/commit/ae2d235e22c3307a34f3fd181aaf9e58f1212bd7)
- Removed mentioning of openzwave-controller.cc in comments in openzwave.hpp, it looks like all the methods are in openzwave-driver.cc now. [`f49ae5b`](https://github.com/OpenZWave/node-openzwave-shared/commit/f49ae5b31ac5d49318c8b6d5da65a12325ff1c32)
- add Matt to contributors [`0df5ef6`](https://github.com/OpenZWave/node-openzwave-shared/commit/0df5ef62c6ec80bbe444a449e628d9c4ba478677)
- publish version 1.4.1 [`c3c4a89`](https://github.com/OpenZWave/node-openzwave-shared/commit/c3c4a8948f8200d9ab484a525f575bb55963a4f0)
- fix typo [`b38e270`](https://github.com/OpenZWave/node-openzwave-shared/commit/b38e27069bad0dbcacb3ae8b4dd31e7314aa68f7)
- Update README-api.md [`1f2ccdc`](https://github.com/OpenZWave/node-openzwave-shared/commit/1f2ccdc7b75e5c8b1bef00e73f6f246a16906fab)
- fix for #196 [`146b205`](https://github.com/OpenZWave/node-openzwave-shared/commit/146b205cc5beccf0f6fb0ef9a4b52ba78b977502)
- Fixing a common coexistence issue. Look for the newest referece first. [`10111c6`](https://github.com/OpenZWave/node-openzwave-shared/commit/10111c600e182e69685525479efb60d8b04f5cbb)

#### [1.4.0](https://github.com/OpenZWave/node-openzwave-shared/compare/1.3.4...1.4.0)

> 31 May 2017

- make populateValueId raise meaningful errors [`#173`](https://github.com/OpenZWave/node-openzwave-shared/pull/173)
- Enable chaining on proxy EventEmitter method calls [`#169`](https://github.com/OpenZWave/node-openzwave-shared/pull/169)
- Pass on OZW return values [`#168`](https://github.com/OpenZWave/node-openzwave-shared/pull/168)
- refactor Enable/DisablePoll() functions to accept valueIDs [`5f38c0b`](https://github.com/OpenZWave/node-openzwave-shared/commit/5f38c0b964b0ebaffc50e6de3a4aa5bc4f861eff)
- prepare for 1.4.0 [`fbab11b`](https://github.com/OpenZWave/node-openzwave-shared/commit/fbab11bc35e075fb7d339a53cbad19f2fb0bea8e)
- return this from EventEmitter methods [`a279c97`](https://github.com/OpenZWave/node-openzwave-shared/commit/a279c9755bc56d2302eebea0657efd58cdcb3de0)
- Update openzwave-polling.cc [`22eee5a`](https://github.com/OpenZWave/node-openzwave-shared/commit/22eee5a596b15bbd292a27ff1d1f2fd2fead2415)
- ignore .idea [`db2fbbf`](https://github.com/OpenZWave/node-openzwave-shared/commit/db2fbbf9bc0a3b07c606e0f2d3152a5e21cafc4b)
- add nodeJS 7.x target for Travis CI [`0c07f3a`](https://github.com/OpenZWave/node-openzwave-shared/commit/0c07f3a108b7493095293d4ea619363cda64d559)

#### [1.3.4](https://github.com/OpenZWave/node-openzwave-shared/compare/1.3.2...1.3.4)

> 14 April 2017

- added releaseButton method [`#159`](https://github.com/OpenZWave/node-openzwave-shared/pull/159)
- Fix deprecatione error that caused 'node-gyp rebuild' to fail on Windows [`#149`](https://github.com/OpenZWave/node-openzwave-shared/pull/149)
- fix for #151, fall back to find if pkg-config returns nothing [`59dee5b`](https://github.com/OpenZWave/node-openzwave-shared/commit/59dee5ba1dff2398688250bba7a97f4906d4945d)
- fix annoying nodejs vs node issue which still persists in Ubuntu [`35f7b25`](https://github.com/OpenZWave/node-openzwave-shared/commit/35f7b25fdb2da6ab475f4f67bc126d1d43fedb91)
- Update openzwave-nodes.cc [`6501844`](https://github.com/OpenZWave/node-openzwave-shared/commit/65018443dbd04a0e8474616ed4fedb5ea28d4759)
- version 1.3.4 [`d89c82b`](https://github.com/OpenZWave/node-openzwave-shared/commit/d89c82b30b7ce36a6810af14c60eafbc67aefb91)
- Update openzwave-nodes.cc [`4b6d961`](https://github.com/OpenZWave/node-openzwave-shared/commit/4b6d961970aa58b812a571274eec1a813529aec5)
- fix for #152 [`2fc0fe0`](https://github.com/OpenZWave/node-openzwave-shared/commit/2fc0fe09ba9eb4c9db2d4e6b2a5aeae35882bf7f)
- Update openzwave.hpp [`104975a`](https://github.com/OpenZWave/node-openzwave-shared/commit/104975ad4f32a388c83410ca88d842f27a2439c2)
- Update openzwave.cc [`56f353c`](https://github.com/OpenZWave/node-openzwave-shared/commit/56f353c3d08d847f2ab43780ae35975129eefafa)

#### [1.3.2](https://github.com/OpenZWave/node-openzwave-shared/compare/1.3.1...1.3.2)

> 3 March 2017

- Bugfix/#123 get scene values [`#147`](https://github.com/OpenZWave/node-openzwave-shared/pull/147)
- adjust copyright dates [`38b657e`](https://github.com/OpenZWave/node-openzwave-shared/commit/38b657e21744c2251dfd9737a91664824495b4c5)
- use Manager::SceneGetAsXYZ to get back the stored scene values in sceneGetValues [`a8d2a72`](https://github.com/OpenZWave/node-openzwave-shared/commit/a8d2a721ea67e805bc2732430251f8617511821d)
- make test script exit after settimeout [`de48ee1`](https://github.com/OpenZWave/node-openzwave-shared/commit/de48ee1d3178b4b48c47b9f7e51cfaf11bf2021a)
- add travis config [`6c24719`](https://github.com/OpenZWave/node-openzwave-shared/commit/6c247195ee4ce788987c22ee3b82766fd8b5a295)
- update travis [`95cfae8`](https://github.com/OpenZWave/node-openzwave-shared/commit/95cfae8ae112637646b1ef4dffbdac24eb01feeb)
- update travis [`84e3e26`](https://github.com/OpenZWave/node-openzwave-shared/commit/84e3e264014a906c38ef6af4542273f17957997b)
- update travis [`f141a5a`](https://github.com/OpenZWave/node-openzwave-shared/commit/f141a5a9310163011a62d0893807f02d4fc7bf32)
- update travis [`ee29a03`](https://github.com/OpenZWave/node-openzwave-shared/commit/ee29a038414e60e24bd0774f54c37b45609aa689)
- update travis [`18a1319`](https://github.com/OpenZWave/node-openzwave-shared/commit/18a131901422651e67c649e3ab74944f6ae22842)
- update travis [`b26f9a5`](https://github.com/OpenZWave/node-openzwave-shared/commit/b26f9a5708137128d93ab371f834c0e1f852be1b)
- fix npmignore [`3ebb88c`](https://github.com/OpenZWave/node-openzwave-shared/commit/3ebb88cece45162d4f08e0d50544ab93b48a90fb)
- version 1.3.2: add travisCI, reimplement getSceneValues as per issue#123 [`548160b`](https://github.com/OpenZWave/node-openzwave-shared/commit/548160b1adef5dd1c80f80260c9ab6fd79e8089e)
- add Travis badge [`20cba0e`](https://github.com/OpenZWave/node-openzwave-shared/commit/20cba0e601c44ac7e47ca29a6512e60277022605)
- no script section needed [`b58a161`](https://github.com/OpenZWave/node-openzwave-shared/commit/b58a1615f256a35c9e1929fa0b71e63f12200216)
- update travis [`269dbd9`](https://github.com/OpenZWave/node-openzwave-shared/commit/269dbd9f025173f2a9df6f91a39e66369ec3ff58)
- add ldconfig -n [`dc2cf7d`](https://github.com/OpenZWave/node-openzwave-shared/commit/dc2cf7ddf1fb9ccefef378d56560463cd8dbde6f)
- update travis [`1cf55e2`](https://github.com/OpenZWave/node-openzwave-shared/commit/1cf55e29d24e8513fd3d796956506da8e096b16a)
- update travis [`04f0b90`](https://github.com/OpenZWave/node-openzwave-shared/commit/04f0b901f6d73d97d2dd5249eee7c74df366f1bf)
- update travis [`c446446`](https://github.com/OpenZWave/node-openzwave-shared/commit/c446446dd5c71a10f8df3e3ceee9c8d75e0a142e)
- update travis [`64b1826`](https://github.com/OpenZWave/node-openzwave-shared/commit/64b18266390034f185219ad3a61d3c7e16a272c7)
- update travis [`cc66c18`](https://github.com/OpenZWave/node-openzwave-shared/commit/cc66c1822655175244b207728a53f2aee2bb7d02)

#### [1.3.1](https://github.com/OpenZWave/node-openzwave-shared/compare/1.3.0...1.3.1)

> 30 January 2017

- potential fix for #146 [`9ff667a`](https://github.com/OpenZWave/node-openzwave-shared/commit/9ff667a1d45d4455a5f7a8420fea8efc55c91dcb)
- version 1.3.1 [`0422afc`](https://github.com/OpenZWave/node-openzwave-shared/commit/0422afcd7e32f50c27f48a611d98cc963d200aaf)

#### [1.3.0](https://github.com/OpenZWave/node-openzwave-shared/compare/1.2.9...1.3.0)

> 22 January 2017

- avoid crash when deleting uninitialised array if node has no association groups [`aa1df57`](https://github.com/OpenZWave/node-openzwave-shared/commit/aa1df574f30cc09d85e199a3646698ea97890b3c)
- version 1.3.0 [`151d33f`](https://github.com/OpenZWave/node-openzwave-shared/commit/151d33f19647c4dbbd0d29e8833e03acf623a9f0)
- supress stderr for find as its confusing gyp [`eebadde`](https://github.com/OpenZWave/node-openzwave-shared/commit/eebaddeb43879aff5071d3d4b7c0e3843e4423a7)

#### [1.2.9](https://github.com/OpenZWave/node-openzwave-shared/compare/1.2.8...1.2.9)

> 18 January 2017

- Fix using pkg-config on Linux [`#138`](https://github.com/OpenZWave/node-openzwave-shared/pull/138)
- version 1.2.9 [`3f21003`](https://github.com/OpenZWave/node-openzwave-shared/commit/3f21003cccc1a1b37d417a796495d916902f36b5)
- Fix using pkg-config [`69fa77f`](https://github.com/OpenZWave/node-openzwave-shared/commit/69fa77f37e082f1395979cebec23b015f3fc6260)

#### [1.2.8](https://github.com/OpenZWave/node-openzwave-shared/compare/1.2.7...1.2.8)

> 17 January 2017

- add rudimentary arity check [`8efd212`](https://github.com/OpenZWave/node-openzwave-shared/commit/8efd212628ed6441a83266808ee33632bfa2d2b2)
- use simpler find for resource constrain Linuxes [`ee97b45`](https://github.com/OpenZWave/node-openzwave-shared/commit/ee97b45de7fa521bfa5f58eb66f03a3c37e1252e)
- version 1.2.8 [`de754ac`](https://github.com/OpenZWave/node-openzwave-shared/commit/de754ace4011456a0793386f2941e455d78d0001)

#### [1.2.7](https://github.com/OpenZWave/node-openzwave-shared/compare/1.2.6...1.2.7)

> 5 January 2017

- gyp does not like messages in stderr [`4189499`](https://github.com/OpenZWave/node-openzwave-shared/commit/4189499f3f55debd065988940fd1b7fb53c7140c)
- update README [`5cbb222`](https://github.com/OpenZWave/node-openzwave-shared/commit/5cbb22223cf3a487aabbb2edf5e762d26abb70e3)

#### [1.2.6](https://github.com/OpenZWave/node-openzwave-shared/compare/1.2.5...1.2.6)

> 5 January 2017

- Fix linux build when libopenzwave is in /usr/local/lib [`#135`](https://github.com/OpenZWave/node-openzwave-shared/pull/135)
- version 1.2.5 [`#134`](https://github.com/OpenZWave/node-openzwave-shared/pull/134)
- version 1.2.6 [`b59da6c`](https://github.com/OpenZWave/node-openzwave-shared/commit/b59da6c00c88a57fdd4e8d99cb04c93f0524dd20)

#### [1.2.5](https://github.com/OpenZWave/node-openzwave-shared/compare/1.2.4...1.2.5)

> 19 December 2016

- Bugfix/deprecate pkgconfig in bindinggyp [`#133`](https://github.com/OpenZWave/node-openzwave-shared/pull/133)
- initial commit [`3fdb49e`](https://github.com/OpenZWave/node-openzwave-shared/commit/3fdb49e7ac56aac4b034c3c0edd5cd7e25f40f04)
- fix find command [`8de4b26`](https://github.com/OpenZWave/node-openzwave-shared/commit/8de4b269b8da21a2078800cfb0b6e4b8d13ecfb0)
- version 1.2.5 [`c3dcb24`](https://github.com/OpenZWave/node-openzwave-shared/commit/c3dcb241902a6bafb6bc145ea33b54d520100ad3)
- comment out debug statement [`85075be`](https://github.com/OpenZWave/node-openzwave-shared/commit/85075bec306bb796e4876ac7dc421ff0d732e553)

#### [1.2.4](https://github.com/OpenZWave/node-openzwave-shared/compare/1.2.3...1.2.4)

> 10 December 2016

- GetNodeStatistics object return call [`#132`](https://github.com/OpenZWave/node-openzwave-shared/pull/132)
- update raspbian docs [`4560112`](https://github.com/OpenZWave/node-openzwave-shared/commit/45601126262802d58fc8e13735a4b2692a118293)
- Return the stats object in GetNodeStatistics the same way as GetDriverStatistics [`89aca46`](https://github.com/OpenZWave/node-openzwave-shared/commit/89aca4610f265804d5e4ab31c257b55e1d58d13a)

#### [1.2.3](https://github.com/OpenZWave/node-openzwave-shared/compare/v1.2.2...1.2.3)

> 8 December 2016

- Fixed undefined symbol when writing values [`#131`](https://github.com/OpenZWave/node-openzwave-shared/pull/131)
- version 1.2.3 [`31178b6`](https://github.com/OpenZWave/node-openzwave-shared/commit/31178b60cfbd1d1ae58a60f2f118a54643dd4423)

#### [v1.2.2](https://github.com/OpenZWave/node-openzwave-shared/compare/1.2.1...v1.2.2)

> 5 December 2016

- Fixed object keys getting double quotes [`#129`](https://github.com/OpenZWave/node-openzwave-shared/pull/129)
- version 1.2.2 [`81bf664`](https://github.com/OpenZWave/node-openzwave-shared/commit/81bf66475afa46c3a49e1eaf4611a50054da5dcb)

#### [1.2.1](https://github.com/OpenZWave/node-openzwave-shared/compare/v1.2.0...1.2.1)

> 4 December 2016

- Feature/remove duplicate code [`#128`](https://github.com/OpenZWave/node-openzwave-shared/pull/128)
- Add support function WriteConfig (sava settings) [`#119`](https://github.com/OpenZWave/node-openzwave-shared/pull/119)
- Update README.md [`#99`](https://github.com/OpenZWave/node-openzwave-shared/pull/99)
- updated readme to reflect that cancelControllerCommand is not depricated [`#94`](https://github.com/OpenZWave/node-openzwave-shared/pull/94)
- fix indentation [`cd20793`](https://github.com/OpenZWave/node-openzwave-shared/commit/cd20793bcb64bd394011efb37734a99522a88540)
- use macros to trim code duplication [`31938f7`](https://github.com/OpenZWave/node-openzwave-shared/commit/31938f7a4c1923ced1adf71b3990aa2d7d2658fc)
- added getDriverStatistics and getNodeStatistics [`3b6df3e`](https://github.com/OpenZWave/node-openzwave-shared/commit/3b6df3e2042a4673f5e1e33ff0999efef61db43a)
- update copyright header [`25a0a3e`](https://github.com/OpenZWave/node-openzwave-shared/commit/25a0a3eff4f498f4b5b8f8d44c48329e2a903205)
- potential fix for #120 [`e3bf533`](https://github.com/OpenZWave/node-openzwave-shared/commit/e3bf53369586136539964a5380143c8142952984)
- add node removed doc [`de3b237`](https://github.com/OpenZWave/node-openzwave-shared/commit/de3b2375cd09218e265c7eba52247fae2070dbb5)
- version 1.2.1 [`f357c94`](https://github.com/OpenZWave/node-openzwave-shared/commit/f357c94b1092f5801bbcf83200dc6d5130191669)
- add getNodeNeighbors basic test [`df3dc3a`](https://github.com/OpenZWave/node-openzwave-shared/commit/df3dc3ad9dd2125ac61c1cd04ecd30b7459716dd)
- Update openzwave.hpp [`f2964fb`](https://github.com/OpenZWave/node-openzwave-shared/commit/f2964fb3b974488f8f35ceb623365fa0f614c5c9)
- Delete .DS_Store [`53a2789`](https://github.com/OpenZWave/node-openzwave-shared/commit/53a278933ef8acd9354cd940624f6ccd588e1343)

#### [v1.2.0](https://github.com/OpenZWave/node-openzwave-shared/compare/1.1.9...v1.2.0)

> 24 April 2016

- ignore winRT sources when building open zwave [`#92`](https://github.com/OpenZWave/node-openzwave-shared/pull/92)
- Add a Gitter chat badge to README.md [`#91`](https://github.com/OpenZWave/node-openzwave-shared/pull/91)
- Updated README.md [`#89`](https://github.com/OpenZWave/node-openzwave-shared/pull/89)
- Fix incidental global declarations [`#85`](https://github.com/OpenZWave/node-openzwave-shared/pull/85)
- reinclude CancelControllerCommand for recent OZW builds, fix whitespace [`81122b9`](https://github.com/OpenZWave/node-openzwave-shared/commit/81122b939235a6902ab56cc5c536366584ff8600)
- update readme for raspbian [`b69ff24`](https://github.com/OpenZWave/node-openzwave-shared/commit/b69ff248c2323b4a9f388da9001be1484148647c)
- update readme for raspbian [`a3294bd`](https://github.com/OpenZWave/node-openzwave-shared/commit/a3294bd3349e97cd16a3f44c5a8b29a315c6fcf7)
- updated README [`a015839`](https://github.com/OpenZWave/node-openzwave-shared/commit/a01583936caa8233c02243f7e3592cf0a5f1d206)
- bump up version, add contribitors to package.json [`84338b8`](https://github.com/OpenZWave/node-openzwave-shared/commit/84338b82e35d1bad160b0b90a8eef6254b90613b)
- fix for #87: capture OpenZWave UserPath override [`7a66a28`](https://github.com/OpenZWave/node-openzwave-shared/commit/7a66a283b52dd92b6f3b9c112132213edb744863)
- Add Gitter badge [`fff6522`](https://github.com/OpenZWave/node-openzwave-shared/commit/fff652261e733123c1c8f139f754e66010156ac0)
- fix typo [`ee5b64a`](https://github.com/OpenZWave/node-openzwave-shared/commit/ee5b64a438f9df997b0693be9d8c1d999d8e814b)

#### [1.1.9](https://github.com/OpenZWave/node-openzwave-shared/compare/1.1.8...1.1.9)

> 10 March 2016

- fix for #83: use Nan::EscapableHandleScope to fix Node 0.10 compatibility issue [`ed0c937`](https://github.com/OpenZWave/node-openzwave-shared/commit/ed0c937c81c5b61a869b46075501c1589fd73cec)
- bump up version [`c9095e5`](https://github.com/OpenZWave/node-openzwave-shared/commit/c9095e5a41962350ca0a928c64fb9b6fa45c7a2b)
- bump up version [`351abab`](https://github.com/OpenZWave/node-openzwave-shared/commit/351abab319809a3ef2f72f53a9b5eff12ce44fbb)

#### [1.1.8](https://github.com/OpenZWave/node-openzwave-shared/compare/v1.1.7...1.1.8)

> 8 March 2016

- Moved options into class for persistence of connection and disconnect. [`#80`](https://github.com/OpenZWave/node-openzwave-shared/pull/80)
- FIX: nodeid should be node_id [`#74`](https://github.com/OpenZWave/node-openzwave-shared/pull/74)
- Make testNetwork call TestNetwork [`#73`](https://github.com/OpenZWave/node-openzwave-shared/pull/73)
- Add SetChangeVerified API [`#69`](https://github.com/OpenZWave/node-openzwave-shared/pull/69)
- Add API to refresh value from network [`#66`](https://github.com/OpenZWave/node-openzwave-shared/pull/66)
- update documentation [`480cf70`](https://github.com/OpenZWave/node-openzwave-shared/commit/480cf70414ac83dabd5e8e80bb1d0cb906ff9090)
- fix whitespace [`16c88b8`](https://github.com/OpenZWave/node-openzwave-shared/commit/16c88b87b9f2f53730be141ee1ba6bd2fdb14b84)
- move ancillary method to utils.cc, use proper handlescope escaping for v8 objects returned by util methods [`69765bb`](https://github.com/OpenZWave/node-openzwave-shared/commit/69765bba655cde894c730271da6dff25f8d2dc52)
- update documentation [`8db9a47`](https://github.com/OpenZWave/node-openzwave-shared/commit/8db9a470577aa59c329f879bede9b3c12e0ad5a6)
- only valueId-related callbacks carry an actual OZW ValueID [`d5e3b39`](https://github.com/OpenZWave/node-openzwave-shared/commit/d5e3b39b7729d74626150319fa22b01023cfb67b)
- updated docs [`e75d6a3`](https://github.com/OpenZWave/node-openzwave-shared/commit/e75d6a309c8d5b6969f77330d2f2a6ce0b0f46ec)
- Moved options into class for persistance of connection and disconnection.Moved option creation logic into connect because otherwize options are destroyed on disconnect and never reconnected. [`b91f201`](https://github.com/OpenZWave/node-openzwave-shared/commit/b91f20119232c0e163e4f7b289f552074efa97a6)
- update documentation [`a6bf893`](https://github.com/OpenZWave/node-openzwave-shared/commit/a6bf89384b899b76d2e8fff804f6ae1b747daf2a)
- bump up version [`5f9fcbf`](https://github.com/OpenZWave/node-openzwave-shared/commit/5f9fcbf60a42d01c2313dd58b2c572c25c05e8b8)
- remove strict type checking, its confusing users [`95dc3a8`](https://github.com/OpenZWave/node-openzwave-shared/commit/95dc3a89f7cf91ebc0f90b53dc9d3e666cd4e24b)
- remove valueId from Type_NodeEvent callback as its currently peeking at random data [`9369f68`](https://github.com/OpenZWave/node-openzwave-shared/commit/9369f68f7d9e34e73e69cbd95a3583c5c5b26431)
- update test [`71c57f9`](https://github.com/OpenZWave/node-openzwave-shared/commit/71c57f97023788970034b2f74ae184a2490152a1)
- fix whitespace [`29f09e4`](https://github.com/OpenZWave/node-openzwave-shared/commit/29f09e41f19ca0e986d8c4136af80a6ba0c83e77)
- Add troubleshooting note [`1ed7d4f`](https://github.com/OpenZWave/node-openzwave-shared/commit/1ed7d4fe9d295d98a792e9ee6b6c7464a3c73124)
- Update README-api.md [`cc9fa34`](https://github.com/OpenZWave/node-openzwave-shared/commit/cc9fa34a12399975c273ad61a08a8ea84fd6fdc4)

#### [v1.1.7](https://github.com/OpenZWave/node-openzwave-shared/compare/v1.1.6...v1.1.7)

> 7 February 2016

- Bugfix/issue 63 get zwave value id typo [`#64`](https://github.com/OpenZWave/node-openzwave-shared/pull/64)
- Add support for raw value types [`#58`](https://github.com/OpenZWave/node-openzwave-shared/pull/58)
- Add "scene event" and "node event" documentation. [`#54`](https://github.com/OpenZWave/node-openzwave-shared/pull/54)
- glaring typo, hopefully fix #61 and #63 [`#61`](https://github.com/OpenZWave/node-openzwave-shared/issues/61)
- added 4 missing button notifications, reordered switch cases as per OZW enum order [`1dffedc`](https://github.com/OpenZWave/node-openzwave-shared/commit/1dffedca15dd43882f7391a67b22ef3e0ba3c005)
- implement NodeRemoved notification, change znodes to std::map [`f3f5964`](https://github.com/OpenZWave/node-openzwave-shared/commit/f3f5964305634677c0b1936e0363665eb9c646bd)
- Rework to use buffers [`9a555cf`](https://github.com/OpenZWave/node-openzwave-shared/commit/9a555cf376a606f543e4b55bfc20d9bfec1441e3)
- Add support for Get/Set of ValueType_Raw [`016059c`](https://github.com/OpenZWave/node-openzwave-shared/commit/016059c1037a242d13af2ea4e3ec9fe8121f460d)
- bump up version number [`a02310f`](https://github.com/OpenZWave/node-openzwave-shared/commit/a02310fe48eb945fbfd6afd4f8fc5ca486194ed9)

#### [v1.1.6](https://github.com/OpenZWave/node-openzwave-shared/compare/v1.1.5...v1.1.6)

> 4 December 2015

- added type checks, added thermostat schedule calls [`43e801d`](https://github.com/OpenZWave/node-openzwave-shared/commit/43e801d61c9a049c32b13b7b1e031c42d47f19e0)

#### [v1.1.5](https://github.com/OpenZWave/node-openzwave-shared/compare/1.1.4...v1.1.5)

> 25 November 2015

- refactor headers [`42760a6`](https://github.com/OpenZWave/node-openzwave-shared/commit/42760a68024b5afb7317821cab7e66b21180124c)
- initial support for buttons [`140906c`](https://github.com/OpenZWave/node-openzwave-shared/commit/140906cc99849840b5c48bc319c61bceb2e7fd75)
- manual merge of renz45 PR for MacOS support [`5e4e0a3`](https://github.com/OpenZWave/node-openzwave-shared/commit/5e4e0a33615b549ef24133d33fa77f0e5934dd13)
- backport Notification::GetAsString() to get meaningful notification messages [`0975c68`](https://github.com/OpenZWave/node-openzwave-shared/commit/0975c6866a0b67d90324fa9aae2f9e628c1698e3)
- remove code duplication [`b1f5cec`](https://github.com/OpenZWave/node-openzwave-shared/commit/b1f5cecd09cbbce3982319bd3687a13241572f6d)
- fix OpenZWave version and controller status string message generation [`a2daa0d`](https://github.com/OpenZWave/node-openzwave-shared/commit/a2daa0d77c715ccc426fcb726e42a15f7a686ac9)
- update documentation [`d7d846e`](https://github.com/OpenZWave/node-openzwave-shared/commit/d7d846e93c8d3289c1c1bb1896d8ad2cb7d7acbc)
- notification string helpers now come from c++ [`271a888`](https://github.com/OpenZWave/node-openzwave-shared/commit/271a8883e3f2ba0a6a5a3583c901094926479e9a)
- add helpful messages in ControllerCommand and generic Notification calls [`3429ce0`](https://github.com/OpenZWave/node-openzwave-shared/commit/3429ce0e0365fd73b13342ea2ace6ba5f77a74ad)
- fix for tr1::unordered_map [`1ebe3a5`](https://github.com/OpenZWave/node-openzwave-shared/commit/1ebe3a5e62b51028faa67264b75d38ff9e7693a9)
- preparing for merge [`a592974`](https://github.com/OpenZWave/node-openzwave-shared/commit/a5929743fc26944b3aa090821e0acef6dd97ab5e)
- fix OpenZWave version and controller status string message generation [`11cf151`](https://github.com/OpenZWave/node-openzwave-shared/commit/11cf1518d57a253c2fa4f3e0801f92f8c7bc3667)
- fix legacy mode helpstring [`f5ac324`](https://github.com/OpenZWave/node-openzwave-shared/commit/f5ac32467ccbdafbdf987e0f9e03eaa574c60204)
- use mangled symbol for scanning existence of the new security API instead of existence of ZWSecurity.h [`7203527`](https://github.com/OpenZWave/node-openzwave-shared/commit/7203527bf25b1e03282ab63e00fcdd237ff71c2b)
- implement PressButton [`f22b842`](https://github.com/OpenZWave/node-openzwave-shared/commit/f22b842e883c63ec72acc0e09bab15e74b1816ab)
- add missing requirement [`e40798c`](https://github.com/OpenZWave/node-openzwave-shared/commit/e40798cac13efdc9a4714c111d5bef86533b1d63)
- fix typo [`f9349e6`](https://github.com/OpenZWave/node-openzwave-shared/commit/f9349e60032db5085b09af73215de2ff3df0a433)
- update docs [`1a1d742`](https://github.com/OpenZWave/node-openzwave-shared/commit/1a1d74233abe80daff110d361a5c5afd8bab81c1)
- add missing binding for pressButton [`e938f75`](https://github.com/OpenZWave/node-openzwave-shared/commit/e938f756119d790739b377e6af750aed7dba9a12)

#### [1.1.4](https://github.com/OpenZWave/node-openzwave-shared/compare/1.1.3...1.1.4)

> 24 October 2015

- fixed OZW link (OZW website is http not https) [`#38`](https://github.com/OpenZWave/node-openzwave-shared/pull/38)
- Patch 5 [`#37`](https://github.com/OpenZWave/node-openzwave-shared/pull/37)
- fixed properCase for zwave functions [`#36`](https://github.com/OpenZWave/node-openzwave-shared/pull/36)
- specified Windows COM port notation [`#35`](https://github.com/OpenZWave/node-openzwave-shared/pull/35)
- [windows] Install Open Z-wave dependency [`#34`](https://github.com/OpenZWave/node-openzwave-shared/pull/34)
- Adding windows build support [`#30`](https://github.com/OpenZWave/node-openzwave-shared/pull/30)
- Move windows ozw install script to npm scripts, update readme [`370a1d2`](https://github.com/OpenZWave/node-openzwave-shared/commit/370a1d2c5386cf6c2dfb661ca13708f85c0cadee)
- Make ozw gyp bindings dynamic [`0432db5`](https://github.com/OpenZWave/node-openzwave-shared/commit/0432db525ad683b527f83a43cbdaf40c70fdf731)
- Fix issue where env variable isn't updated for parent environment [`a1de8e5`](https://github.com/OpenZWave/node-openzwave-shared/commit/a1de8e5ed40ca471d65eb9f2ec048ae16457198b)
- update docs [`18b8c85`](https://github.com/OpenZWave/node-openzwave-shared/commit/18b8c852cccf5da4dcf58e524b69658a6547d6c1)
- Move to node_gyp for compiling ozw on windows [`ff8d399`](https://github.com/OpenZWave/node-openzwave-shared/commit/ff8d399b402673f9b6d7f135070dedd18f0a8ed4)
- bump up version for npm publish [`448db22`](https://github.com/OpenZWave/node-openzwave-shared/commit/448db2240ed35540bd3e76e8562729394b5cabc7)
- adaptation for node x86 (?) [`28c0bd7`](https://github.com/OpenZWave/node-openzwave-shared/commit/28c0bd70bd9043d71fc25340f6718c8761b62225)
- replace \ by / when calling with --get-ozw-home [`bc13be6`](https://github.com/OpenZWave/node-openzwave-shared/commit/bc13be677146d7f01d62e1f685ebf867f38c2bc9)
- Reverted code to something simpler [`460571f`](https://github.com/OpenZWave/node-openzwave-shared/commit/460571f5a93553c92e0828d269d7f953651e998c)
- fixed stupid copy/paste mistake ... duh ... [`d0292ef`](https://github.com/OpenZWave/node-openzwave-shared/commit/d0292ef7922e2a3235f994f60c3cc075d608cfe3)
- Define etc, security for windows [`ac4c885`](https://github.com/OpenZWave/node-openzwave-shared/commit/ac4c885f754697f874937ce79389fbfdbe7dfe78)
- fix for process.env [`4600c0c`](https://github.com/OpenZWave/node-openzwave-shared/commit/4600c0caed4d079ffff2a656529704d34e2c94f7)
- fix [`f5bbfdf`](https://github.com/OpenZWave/node-openzwave-shared/commit/f5bbfdfd2b4385e36f131c05522827103fa8d82f)
- Point to public gist [`18d1dc2`](https://github.com/OpenZWave/node-openzwave-shared/commit/18d1dc2d05efcab581afc903ebdcfe751cac4b4e)

#### [1.1.3](https://github.com/OpenZWave/node-openzwave-shared/compare/v1.1.2...1.1.3)

> 12 October 2015

- fix broken build with old openzwave [`a6d227f`](https://github.com/OpenZWave/node-openzwave-shared/commit/a6d227fe33405ba2ea4df0f0aef379bb3e5cb76b)

#### [v1.1.2](https://github.com/OpenZWave/node-openzwave-shared/compare/1.1.1...v1.1.2)

> 12 October 2015

- Added support for the new Secure devices API [`#28`](https://github.com/OpenZWave/node-openzwave-shared/pull/28)
- update version [`c1cea3a`](https://github.com/OpenZWave/node-openzwave-shared/commit/c1cea3a0fa0b86cd47244644c4fe57c8702278c9)
- initial support for OZW Security [`d5423ed`](https://github.com/OpenZWave/node-openzwave-shared/commit/d5423ed2ba6aa06149ac40e48593fa19849d8932)
- updated documentation [`83608db`](https://github.com/OpenZWave/node-openzwave-shared/commit/83608db95a6377c44a1e746fd1c9ef190f32c570)

#### [1.1.1](https://github.com/OpenZWave/node-openzwave-shared/compare/1.0.9...1.1.1)

> 6 October 2015

- implement setNodeLevel, rename set[Name/Location] to setNode[Name/Location] [`665fefa`](https://github.com/OpenZWave/node-openzwave-shared/commit/665fefaca0b8e1eaa5fa7248090293596b18e6f7)
- expose the full EventEmitter API (to fix node-red-contrib-openzwave#10) [`b099131`](https://github.com/OpenZWave/node-openzwave-shared/commit/b09913198e2ec5b701356451f61a9fb6307fe7b1)
- update licence typo (LGPL3, not GPL3) for OpenZWave [`b1643fa`](https://github.com/OpenZWave/node-openzwave-shared/commit/b1643fa15aea87d5729dedd7d2803b9741ff17fd)

#### [1.0.9](https://github.com/OpenZWave/node-openzwave-shared/compare/1.0.8...1.0.9)

> 29 September 2015

- update example code [`826acbf`](https://github.com/OpenZWave/node-openzwave-shared/commit/826acbffda8b9cd0f2f592a105ebee3449343452)
- scope is not a function but a handle [`415d031`](https://github.com/OpenZWave/node-openzwave-shared/commit/415d031778cfab8db2aedf0aa58e1e1070ed1d86)
- updated documentation [`39edbbd`](https://github.com/OpenZWave/node-openzwave-shared/commit/39edbbd92684b549f32d1e67e6abd4373d14d8b4)
- update version [`47a1e46`](https://github.com/OpenZWave/node-openzwave-shared/commit/47a1e4699a9d2a131c12c69d95ff475e66af554f)

#### [1.0.8](https://github.com/OpenZWave/node-openzwave-shared/compare/1.0.6...1.0.8)

> 26 September 2015

- fix for Node.JS 4 nan scope issue (nan#440), completely refactor OZW options mechanism, add default config XML [`2aa453a`](https://github.com/OpenZWave/node-openzwave-shared/commit/2aa453a5fda8084f9b654c1305e415c325354038)
- updated docs and example code [`c6e51c9`](https://github.com/OpenZWave/node-openzwave-shared/commit/c6e51c910230f8430f37d6f827df632ca0d8c9ea)

#### [1.0.6](https://github.com/OpenZWave/node-openzwave-shared/compare/1.0.5...1.0.6)

> 23 September 2015

- fix invocation issue with Node.js 0.12.x and above [`5632557`](https://github.com/OpenZWave/node-openzwave-shared/commit/5632557e10adaef5fad774c3b00092c429e93d7f)
- fix erroneous duplication [`3f7fe2d`](https://github.com/OpenZWave/node-openzwave-shared/commit/3f7fe2d7b1d873f59e868d0f611a2d7ed3f7fb30)
- initial commit for NaN 2.0.9 (NodeJS 4.0) [`249e9ad`](https://github.com/OpenZWave/node-openzwave-shared/commit/249e9ada37f314f36e236bce9c1c28ba5a4e7b82)

#### [1.0.5](https://github.com/OpenZWave/node-openzwave-shared/compare/1.0.4...1.0.5)

> 16 September 2015

- Few fixes and added more node-related methods [`#16`](https://github.com/OpenZWave/node-openzwave-shared/pull/16)
- initial commit for NaN 2.0 (nodeJS 4.0) [`8cab773`](https://github.com/OpenZWave/node-openzwave-shared/commit/8cab773b02b4dcc8efa078b6f157fb30e706fd41)
- Added several node-related methods [`e242ec5`](https://github.com/OpenZWave/node-openzwave-shared/commit/e242ec5bbdb515705ccd497d9b858b5e3758a5c9)
- Fixed DisablePoll method prototype reference and intervalMillisecs type [`b862019`](https://github.com/OpenZWave/node-openzwave-shared/commit/b86201993169c312b7bea2cdc35426ef288c3394)

#### [1.0.4](https://github.com/OpenZWave/node-openzwave-shared/compare/1.0.2...1.0.4)

> 31 August 2015

- remove debug log lines [`f6d835d`](https://github.com/OpenZWave/node-openzwave-shared/commit/f6d835d1ad2605340de79c80fe08c0ad8d7eb34f)

#### [1.0.2](https://github.com/OpenZWave/node-openzwave-shared/compare/1.0.1...1.0.2)

> 31 August 2015

- added setNodeOn,Off which were mysteriously forgotten [`1e6c8de`](https://github.com/OpenZWave/node-openzwave-shared/commit/1e6c8dea48568b0c13c9d05ee332b34c330a63e6)

#### [1.0.1](https://github.com/OpenZWave/node-openzwave-shared/compare/1.0.0...1.0.1)

> 31 August 2015

- Copy options.xml to project directory [`#8`](https://github.com/OpenZWave/node-openzwave-shared/pull/8)
- Step by step installation on raspbian [`#7`](https://github.com/OpenZWave/node-openzwave-shared/pull/7)
- Step by step installation on ubuntu server 15.04 [`#6`](https://github.com/OpenZWave/node-openzwave-shared/pull/6)
- Nan [`#3`](https://github.com/OpenZWave/node-openzwave-shared/pull/3)
- added setNodeOn,Off which were mysteriously forgotten [`ebe643e`](https://github.com/OpenZWave/node-openzwave-shared/commit/ebe643ec5c960e03b87272ad447d0308b156e7f9)
- updated README [`87cb988`](https://github.com/OpenZWave/node-openzwave-shared/commit/87cb988d4eb9c724ddb3df400fe5d9458b18d59d)
- started reorganising callback code [`a85de3c`](https://github.com/OpenZWave/node-openzwave-shared/commit/a85de3c64fe5ad956c29fd1599b2bb0ad15f56ba)
- add missing namespace [`5f7804f`](https://github.com/OpenZWave/node-openzwave-shared/commit/5f7804fea740236c091dfbaddb6faa284dcbf050)
- first working implementation with NaN [`e7883e6`](https://github.com/OpenZWave/node-openzwave-shared/commit/e7883e68abd42ad0eb03b1e90c8de5cf3ae93188)
- compiling against nodejs 0.12.4 - WARNING: not necessarily WORKING! [`0c5fa05`](https://github.com/OpenZWave/node-openzwave-shared/commit/0c5fa0589f3a4ae4ebf92fa1fc988ce7836847b6)
- updated installation section [`a849b89`](https://github.com/OpenZWave/node-openzwave-shared/commit/a849b89c8b601c3eb501831a893696d8bb84bac1)
- updated docs and example for BeginControllerCommand [`8957674`](https://github.com/OpenZWave/node-openzwave-shared/commit/8957674ff80ba12928a66a536fc073448298d592)
- fix polling status notification, return new sceneID from addScene [`205cda1`](https://github.com/OpenZWave/node-openzwave-shared/commit/205cda1247624ecda9d36ce21a4e0fe666107140)
- map ozw decimals to strings [`2b34787`](https://github.com/OpenZWave/node-openzwave-shared/commit/2b34787feb5925921a18f204bc0045afd39f2028)
- remove dup emit_cb->Call(), redundant colons [`a8c05a1`](https://github.com/OpenZWave/node-openzwave-shared/commit/a8c05a16677de308453cd290f028d8cb5d40eb7e)
- updated readme [`76f3cac`](https://github.com/OpenZWave/node-openzwave-shared/commit/76f3cac8d9630f56b2fcb72d32e9024ee5d90ad9)
- fix for the compatibility layer breaking ... compatibility due to aesthetic reasons [`0515d07`](https://github.com/OpenZWave/node-openzwave-shared/commit/0515d0766383ecc7f9ca3ed68b1d9136604464bf)

### [1.0.0](https://github.com/OpenZWave/node-openzwave-shared/compare/0.1.1...1.0.0)

> 7 June 2015

- Initial commit for NaN-ized build targeting both 0.10 and 0.12 [`82366ab`](https://github.com/OpenZWave/node-openzwave-shared/commit/82366abe5f4ab0ec67ecec7f1c1ffcb538cc2904)
- no floats in javascript: what a shame [`15bcfef`](https://github.com/OpenZWave/node-openzwave-shared/commit/15bcfef33b10b371cc91cd3706a4acf6955fb0e2)
- Nan-ized strings (String::New => NanNew<String>) and symbols [`171b199`](https://github.com/OpenZWave/node-openzwave-shared/commit/171b199b146c4f194c4c10cf7618560ddf3adba8)
- removed remaining traces of String::NewSymbol [`8680474`](https://github.com/OpenZWave/node-openzwave-shared/commit/8680474abf4a38dffcb7df37df5477eeea05ab45)
- updated README [`4869970`](https://github.com/OpenZWave/node-openzwave-shared/commit/4869970a4b5540a30eeac4e72b97ef4100abdca4)

#### [0.1.1](https://github.com/OpenZWave/node-openzwave-shared/compare/0.1.0...0.1.1)

> 5 June 2015

- updated documentation [`af6a49e`](https://github.com/OpenZWave/node-openzwave-shared/commit/af6a49ebee7fca7de218fc8191d3e7883d192f44)
- Completed: groups. Merged driver to controller. More polling commands. [`0486019`](https://github.com/OpenZWave/node-openzwave-shared/commit/04860192c1a28d59a15757efdf41e370e52decd0)
- Added group association commands (openzwave-groups.cc) [`c1127ed`](https://github.com/OpenZWave/node-openzwave-shared/commit/c1127ed42155b7f45c44964215affcae7ef7539f)
- updated documentation [`add029e`](https://github.com/OpenZWave/node-openzwave-shared/commit/add029eaad559efd84463de37f73f4c4efd8986c)
- updated README [`8ae9ebc`](https://github.com/OpenZWave/node-openzwave-shared/commit/8ae9ebc39fd9e9df9bdbf62598ed4927e9daae02)
- updated documentation [`bd25424`](https://github.com/OpenZWave/node-openzwave-shared/commit/bd25424cc609172475b588fea2d74097fac61cfa)
- updated documentation [`7a6eaf8`](https://github.com/OpenZWave/node-openzwave-shared/commit/7a6eaf8c08f8711ee251974946254c4c7d601432)

#### [0.1.0](https://github.com/OpenZWave/node-openzwave-shared/compare/0.0.2...0.1.0)

> 24 May 2015

- version 0.1.0 [`2573b7f`](https://github.com/OpenZWave/node-openzwave-shared/commit/2573b7f7c642c17f09a4d7db14c01c08578c281e)
- updated README, remove redundant setNodeOn/Off [`e0008cb`](https://github.com/OpenZWave/node-openzwave-shared/commit/e0008cb3388d989a17a726b25476b635f6bcb541)

#### [0.0.2](https://github.com/OpenZWave/node-openzwave-shared/compare/0.0.1...0.0.2)

> 22 May 2015

- added more OZW Manager calls [`6e37bf3`](https://github.com/OpenZWave/node-openzwave-shared/commit/6e37bf31fab6505202ba5c1b4506aa0d9b625140)
- added more OZW management functions [`a7fda29`](https://github.com/OpenZWave/node-openzwave-shared/commit/a7fda29b8eb353151469829fd7f4459c9274791f)
- updated README [`eb518a6`](https://github.com/OpenZWave/node-openzwave-shared/commit/eb518a6abccb45c2c5888ecf72143a848eadb362)
- refactored gyp build [`2acd437`](https://github.com/OpenZWave/node-openzwave-shared/commit/2acd43738c5a78bf43284d643804cdc0f7cd6e5f)

#### 0.0.1

> 19 May 2015

- - brought in changes in https://github.com/skarlsson/node-openzwave, [`34e206d`](https://github.com/OpenZWave/node-openzwave-shared/commit/34e206d8fe2c0e12b0abf0c7dbe20ad34f1398fd)
- Initial commit [`2ebd62d`](https://github.com/OpenZWave/node-openzwave-shared/commit/2ebd62ddc98a844a7380df5b81ec4167c40c0037)
